Page MenuHomePhabricator

LDAP Account required for Transparency Report
Closed, ResolvedPublic

Description

Hi,

I'm currently working on the Transparency Report as a Contract Developer along with @ori. I'll be working on a private branch, accessible only to WMF users with an LDAP account. Can anyone guide me about the procedure of making an LDAP account?
Thanks in advance!

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 22 2016, 9:02 AM
hashar added a subscriber: hashar.Jun 22 2016, 9:21 AM

LDAP accounts are created via https://wikitech.wikimedia.org/ and you seems to already have one: https://wikitech.wikimedia.org/wiki/User:Siddparmar

Your account is neither a member of LDAP group wmf nor of nda group. If you have a contract with the WMF, you should have signed a Non Disclosure Agreement and your account should have been added to both LDAP groups.

For Gerrit access list, we can reference a specific user account. So the LDAP group is not strictly required.

You don't appear on https://wikimediafoundation.org/wiki/Staff_and_contractors nor a couple of other pages I checked...
Do you have a " (WMF)" SUL account or something?

I've just recently joined WMF, that too for couple of months. My main work is to collaborate with the Legal team comprising of Aeryn Palmer and James Buatti to update Transparency Report (data viz and UI dev). Ori helped me with the setup of private branch and then he asked me to open a task here to request for an LDAP account.

(Added Michelle Paulson, Legal director and most probably the person that signed the contract for Siddharth. Sorry for the spam if that is not the case).

I don't really know how LDAP access ends up being granted nor what kind of verification is done.

My guess is that usually when one is hired / contracting, some kind of enrolment process takes care of creating an @wikimedia.org and having the person added to the 'wmf' group in LDAP.

At least there is "Siddarth Parmar <sparmar@wikimedia.org>" email. What is left to do would be to confirm:

Probably want to have part of that confirmed by whoever might have signed the contract and started the enrolment process. Assuming Michelle Paulson would know.

Sorry for being picky :-/

siddharth11 added a comment.EditedJul 2 2016, 7:32 AM

@hashar it's fine :)

I still don't have access to LDAP. Can someone help me with its enrolment process?

The bullet points in T138369#2399628 still need confirmation...

I'm afraid that Technical_onboarding_for_new_hires on officewiki should cover LDAP accounts.
Waiting for confirmation in this very task by @APalmer_WMF or @Mpaulson.

I can confirm that Siddharth is under contract starting July 5, to work on the upcoming Transparency Report. He will be reporting to @Mpaulson. He'll need an LDAP account in order to work on the report.

Hi @Aklapper!

Now that Aeryn has given the confirmation, can you assist me with LDAP access?

Dzahn added a subscriber: Dzahn.Jul 5 2016, 6:04 PM

My guess is that usually when one is hired / contracting, some kind of enrolment process takes care

That is the open ticket T108131

Dzahn added a comment.Jul 5 2016, 6:07 PM

@siddharth11 can you confirm your wikitech user name? I see the link to https://wikitech.wikimedia.org/wiki/User:Siddparmar but i also get: "Siddparmar doesn't exist, and won't be added to the group." when trying to add you.

Dzahn added a comment.Jul 5 2016, 6:09 PM

Ok, so i am not sure why it linked to Siddparmar above, but i see you had "siddharth11" just like here on Phabricator. So this is done now. You have been added to the "wmf" group.

[terbium:~] $ sudo modify-ldap-group --addmembers siddharth11 wmf

[terbium:~] $ sudo ldaplist -l group wmf | grep sidd
	member: uid=siddharth11,ou=people,dc=wikimedia,dc=org
This comment was removed by siddharth11.

Thanks @Dzahn!

Where will I receive its password? WMF email?

Dzahn added a comment.Jul 5 2016, 6:21 PM

@siddharth11 Ah, i see now that your wiki name is Siddparmar and the "shell" name is siddharth11 that is why i got confused for a moment.

There will be no new password, you just use the one you already have for the login on wikitech or here on phabricator. The account just got this extra permission flag now and tools that require a login check if it has that nor not.

Dzahn closed this task as Resolved.Jul 5 2016, 6:28 PM

So you have an LDAP account now and it is member in "wmf". That technically resolves the ticket. Just missing is where exactly you need to login with that. But i'm sure @ori can tell you.

Dzahn added a comment.Jul 5 2016, 6:29 PM

@siddharth11 if you run into any problems, let us know and feel free to just reopen this ticket.

Mentioned in SAL [2016-07-05T18:30:48Z] <mutante> added siddharth11 to LDAP group "wmf" per T138369#2425011